data = """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"""
